data = """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"""
